> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry



## OpenAPI

````yaml /openapi_v4_core.json post /v4/core/syncs/{syncId}/retry
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/syncs/{syncId}/retry:
    post:
      tags:
        - SyncAction
      summary: Retry
      operationId: SyncActionController_retrySync
      parameters:
        - name: syncId
          required: true
          in: path
          schema:
            type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitSyncResponse'
components:
  schemas:
    InitSyncResponse:
      type: object
      properties:
        sync:
          $ref: '#/components/schemas/InitSyncResult'
      required:
        - sync
    InitSyncResult:
      type: object
      properties:
        id:
          type: string
        dataModelsSyncing:
          type: array
          items:
            type: string
            enum:
              - ACCOUNT
              - BALANCE_SHEET
              - BANK_ACCOUNT
              - BANK_TRANSACTION
              - BILL
              - BILL_CREDIT_NOTE
              - BILL_PAYMENT
              - CASH_FLOW_STATEMENT
              - COMPANY_INFO
              - CONTACT
              - CURRENCY
              - DOCUMENT
              - EXPENSE
              - GOODS_RECEIPT_NOTE
              - INCOME_STATEMENT
              - INVOICE
              - INVOICE_CREDIT_NOTE
              - INVOICE_PAYMENT
              - ITEM
              - JOURNAL_ENTRY
              - JOURNAL_LINE
              - PROJECT
              - PURCHASE_ORDER
              - SALES_ORDER
              - ESTIMATE
              - TAX_RATE
              - TRACKING_CATEGORY
              - CASH_SALE
              - CASH_REFUND
              - BALANCE
              - DISPUTE
              - ORDER
              - PAYOUT
              - SUBSCRIPTION
              - TRANSACTION
              - EVENT
              - FULFILLMENT
              - INVENTORY
              - COMPANY
              - LEAD
              - OPPORTUNITY
              - PIPELINE
              - PIPELINE_STAGE
              - NOTE
              - TASK
              - OWNER
              - ENGAGEMENT
              - ADDRESS
              - EXTERNAL_LINK
              - LINE_ITEM
              - PHONE_NUMBER
              - VARIANT
      required:
        - id
        - dataModelsSyncing
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````